Package org.eclipse.ui.dialogs

## Class WizardImportPage

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - org.eclipse.ui.dialogs.WizardDataTransferPage
      - - org.eclipse.ui.dialogs.WizardImportPage

All Implemented Interfaces:
  `IDialogPage`, `IMessageProvider`, `IWizardPage`, `Listener`, `IOverwriteQuery`

    @Deprecated
    public abstract class WizardImportPage
    extends WizardDataTransferPage

Deprecated.
use WizardResourceImportPage
The abstract superclass for a typical import wizard's main page.

Clients may subclass this page to inherit its common destination resource selection facilities.

Subclasses must implement

- `createSourceGroup`

Subclasses may override

- `allowNewContainerName`

Subclasses may extend

- `handleEvent`

Restriction:
  This class is not intended to be subclassed by clients. Planned to be removed, see https://bugs.eclipse.org/bugs/show_bug.cgi?id=448275
Restriction:
  This class is not intended to be referenced by clients.

### Field Summary

### Fields inherited from class org.eclipse.ui.dialogs.WizardDataTransferPage

`COMBO_HISTORY_LENGTH, SIZING_TEXT_FIELD_WIDTH`

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Fields inherited from interface org.eclipse.ui.dialogs.IOverwriteQuery

`ALL, CANCEL, NO, NO_ALL, YES`

### Constructor Summary

Constructors
`protected` `WizardImportPage​(String name, IStructuredSelection selection)` Deprecated. Creates an import wizard page.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
`protected boolean` `allowNewContainerName()` Deprecated. The `WizardImportPage` implementation of this `WizardDataTransferPage` method returns `true`.
`void` `createControl​(Composite parent)` Deprecated. Creates the top level control for this dialog page under the given parent composite.
`protected void` `createDestinationGroup​(Composite parent)` Deprecated. Creates the import destination specification controls.
`protected abstract void` `createSourceGroup​(Composite parent)` Deprecated. Creates the import source specification controls.
`protected void` `displayErrorDialog​(String message)` Deprecated. Display an error dialog with the specified message.
`protected IPath` `getContainerFullPath()` Deprecated. Returns the path of the container resource specified in the container name entry field, or `null` if no name has been typed in.
`protected IPath` `getResourcePath()` Deprecated. Return the path for the resource field.
`protected IContainer` `getSpecifiedContainer()` Deprecated. Returns the container resource specified in the container name entry field, or `null` if such a container does not exist in the workbench.
`protected void` `handleContainerBrowseButtonPressed()` Deprecated. Opens a container selection dialog and displays the user's subsequent container resource selection in this page's container name field.
`void` `handleEvent​(Event event)` Deprecated. The `WizardImportPage` implementation of this `Listener` method handles all events and enablements for controls on this page.
`protected void` `initialPopulateContainerField()` Deprecated. Sets the initial contents of the container name field.
`void` `setContainerFieldValue​(String value)` Deprecated. Sets the value of this page's container resource field, or stores it for future use if this page's controls do not exist yet.
`protected boolean` `validateDestinationGroup()` Deprecated. Returns whether this page's destination specification controls currently all contain valid values.

### Methods inherited from class org.eclipse.ui.dialogs.WizardDataTransferPage

`addToHistory, addToHistory, createBoldLabel, createOptionsGroup, createOptionsGroupButtons, createPlainLabel, createSpacer, determinePageCompletion, displayErrorDialog, getErrorDialogTitle, getPathFromText, queryForContainer, queryForContainer, queryOverwrite, queryYesNoQuestion, restoreWidgetValues, saveWidgetValues, updatePageCompletion, updateWidgetEnablements, validateOptionsGroup, validateSourceGroup`

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

### Constructor Detail

#### WizardImportPage

    protected WizardImportPage​(String name,
                               IStructuredSelection selection)

Deprecated.
Creates an import wizard page. If the initial resource selection contains exactly one container resource then it will be used as the default import destination.

Parameters:
  `name` - the name of the page
  `selection` - the current resource selection

### Method Detail

#### allowNewContainerName

    protected boolean allowNewContainerName()

Deprecated.
The `WizardImportPage` implementation of this `WizardDataTransferPage` method returns `true`. Subclasses may override this method.

Specified by:
  `allowNewContainerName` in class `WizardDataTransferPage`
Returns:
  `true` if new ones are okay, and `false` if only existing ones are allowed

#### createControl

    public void createControl​(Composite parent)

Deprecated.
Description copied from interface: `IDialogPage`
Creates the top level control for this dialog page under the given parent composite.

Implementors are responsible for ensuring that the created control can be accessed via `getControl`

Parameters:
  `parent` - the parent composite

#### createDestinationGroup

    protected final void createDestinationGroup​(Composite parent)

Deprecated.
Creates the import destination specification controls.

Parameters:
  `parent` - the parent control

#### createSourceGroup

    protected abstract void createSourceGroup​(Composite parent)

Deprecated.
Creates the import source specification controls.

Subclasses must implement this method.

Parameters:
  `parent` - the parent control

#### displayErrorDialog

    protected void displayErrorDialog​(String message)

Deprecated.
Display an error dialog with the specified message.

Overrides:
  `displayErrorDialog` in class `WizardDataTransferPage`
Parameters:
  `message` - the error message

#### getContainerFullPath

    protected IPath getContainerFullPath()

Deprecated.
Returns the path of the container resource specified in the container name entry field, or `null` if no name has been typed in.

The container specified by the full path might not exist and would need to be created.

Returns:
  the full path of the container resource specified in the container name entry field, or `null`

#### getResourcePath

    protected IPath getResourcePath()

Deprecated.
Return the path for the resource field.

Returns:
  org.eclipse.core.runtime.IPath

#### getSpecifiedContainer

    protected IContainer getSpecifiedContainer()

Deprecated.
Returns the container resource specified in the container name entry field, or `null` if such a container does not exist in the workbench.

Returns:
  the container resource specified in the container name entry field, or `null`

#### handleContainerBrowseButtonPressed

    protected void handleContainerBrowseButtonPressed()

Deprecated.
Opens a container selection dialog and displays the user's subsequent container resource selection in this page's container name field.

#### handleEvent

    public void handleEvent​(Event event)

Deprecated.
The `WizardImportPage` implementation of this `Listener` method handles all events and enablements for controls on this page. Subclasses may extend.

Parameters:
  `event` - the event which occurred

#### initialPopulateContainerField

    protected final void initialPopulateContainerField()

Deprecated.
Sets the initial contents of the container name field.

#### setContainerFieldValue

    public void setContainerFieldValue​(String value)

Deprecated.
Sets the value of this page's container resource field, or stores it for future use if this page's controls do not exist yet.

Parameters:
  `value` - new value

#### validateDestinationGroup

    protected final boolean validateDestinationGroup()

Deprecated.
Description copied from class: `WizardDataTransferPage`
Returns whether this page's destination specification controls currently all contain valid values.

The `WizardDataTransferPage` implementation of this method returns `true`. Subclasses may reimplement this hook method.

Overrides:
  `validateDestinationGroup` in class `WizardDataTransferPage`
Returns:
  `true` indicating validity of all controls in the destination specification group